<?php

	echo "<p>Lizenzen nachbauen</p>";
	
	$lizenz_typex="BASIS";
	$lizenz_userx=1;
	$lizenz_seriennummerx="444EDC";
	
		# Werte aus DB
	define('ZUFALLSTRING_LAENGE', 8);
	define('ZUFALLSTRING_ZEICHEN', 'abcdefghijklmnopqrstuvwxyz0123456789');
	define('LIZENZ_VERSION', '1.99');
		# Wert aus confic/connect.php
	define('SITPOS_CRYPT', 'ochenta_50');
	
	
	
	function generiere_lizenz_key($lizenz_type, $lizenz_user, $lizenz_seriennummer )
	{
		$lizenz_key="";
		$zufallszahl=zufallsstring(ZUFALLSTRING_LAENGE);
		$lizenz_key=$lizenz_type."-".LIZENZ_VERSION."-".$lizenz_user."-".$zufallszahl."-".$lizenz_seriennummer;

		return($lizenz_key);
	}


	function zufallsstring($laenge) {
	   //Mögliche Zeichen für den String
	   $zeichen = ZUFALLSTRING_ZEICHEN;
	 
	   //String wird generiert
	   $str = '';
	   $anz = strlen($zeichen);
	   for ($i=0; $i<$laenge; $i++) {
		  $str .= $zeichen[rand(0,$anz-1)];
	   }
	   return $str;
	}
	
	function sitPosEncrypt($string, $key) {
		$result = '';
		  for($i=0; $i<strlen ($string); $i++) {
			$char = substr($string, $i, 1);
			$keychar = substr($key, ($i % strlen($key))-1, 1);
			$char = chr(ord($char)+ord($keychar));
			$result.=$char;
		  }

		return base64_encode($result);
	}
	
	$lizenz_key= generiere_lizenz_key($lizenz_typex, $lizenz_userx, $lizenz_seriennummerx );
	
	$verschluesselte_lizenz=sitPosEncrypt($lizenz_key, SITPOS_CRYPT);

	echo "Ergebnis für Host Id: ".$lizenz_seriennummerx."<br />";
	echo $lizenz_key;
		
	echo "<br /><br />".$verschluesselte_lizenz;
	
	echo "<hr /><br /><br />Muster:<br />BASIS-1.99-1-7xdksutf-98F656";
	echo "<br /><br />Muster:<br />crC2sbibpY+Ybl2gkJrS2+Gal5yhnKWplqKplg==";






















?>